Get landscape maps
curl --request GET \
--url https://softmax.com/api/observatory/v2/leagues/{league_id}/landscape/maps \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/leagues/{league_id}/landscape/maps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/leagues/{league_id}/landscape/maps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"league_id": "<string>",
"variants": {},
"perks": [
{
"id": "<string>",
"effect": "<string>"
}
],
"max_perks": 2,
"default_perks": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Leagues
Get landscape maps
Return the Coworld variants referenced by landscape cells.
GET
/
v2
/
leagues
/
{league_id}
/
landscape
/
maps
Get landscape maps
Authorizations
Bearer token issued by Softmax
Path Parameters
League whose landscape maps should be returned.
Pattern:
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
League whose Coworld map catalog is returned.
Coworld variants keyed by ID.
Show child attributes
Show child attributes
Perks available in this Coworld.
Show child attributes
Show child attributes
Maximum perks a player may equip.
Perks assigned when a player has not saved a loadout.